### Property

# Gio Resolver:timeout

since: 2.78

#### Declaration

    property timeout: guint [ read, write ]

#### Description [src]

The timeout applied to all resolver lookups, in milliseconds.

This may be changed through the lifetime of the `GResolver`. The new value will apply to any lookups started after the change, but not to any already-ongoing lookups.

If this is `0`, no timeout is applied to lookups.

No timeout was applied to lookups before this property was added in GLib 2.78.

Type:`guint`

Available since: 2.78

Default value | 0
Getter method | `g_resolver_get_timeout()`
Setter method | `g_resolver_set_timeout()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no